{#<pagetitle>NHS.UK | GP Information</pagetitle>#}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}

<form action="gp-details" method="post" class="form">
    <fieldset class="nhsuk-fieldset ">
        <legend class="nhsuk-fieldset__legend nhsuk-fieldset__legend--l">
            {{
                heading({
                    subHeading:{
                        text: 'gp-details.section.heading',
                        locale: locale
                    },
                    text: 'gp-details.h1',
                    classes: 'nhsuk-fieldset__heading',
                    locale: locale
                })
            }}
        </legend>
        {{ p({text:'gp-details.hint', classes:'nhsuk-hint', locale:locale}) }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "gp-details.input1",
               locale: locale
            },
            id: "gpName",
            name: "gpName",
            classes: "nhsuk-input--width-20",
            "errorMessage": parseErrors(errors, 'gpName'),
            value: data.GeneralPractice.GpDoctorName
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset",
                   locale: locale
            },
            "label": {
               "text": "gp-details.input2",
                locale: locale
            },
            id: "gpPhoneNumber",
            name: "gpPhoneNumber",
            classes: "nhsuk-input--width-20",
            "errorMessage": parseErrors(errors, 'gpPhoneNumber'),
            value: data.GeneralPractice.GpTelNo
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "gp-details.input3",
               locale: locale
            },
            id: "gpPracticeName",
            name: "gpPracticeName",
            classes: "",
            "errorMessage": parseErrors(errors, 'gpPracticeName'),
            value: data.GeneralPractice.GpName
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "gp-details.input4",
               locale: locale
            },
            id: "gpAddressLine1",
            name: "gpAddressLine1",
            classes: "",
            "errorMessage": parseErrors(errors, 'gpAddressLine1'),
            value: data.GeneralPractice.GpAddressLine1
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
                "classes": "nhsuk-u-visually-hidden",
               "text": "gp-details.input5",
               locale: locale
            },
            id: "gpAddressLine2",
            name: "gpAddressLine2",
            classes: "",
            "errorMessage": parseErrors(errors, 'gpAddressLine2'),
            value: data.GeneralPractice.GpAddressLine2
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "gp-details.input6",
               locale: locale
            },
            id: "gpTownOrCity",
            name: "gpTownOrCity",
            classes: "nhsuk-input nhsuk-input--width-20",
            "errorMessage": parseErrors(errors, 'gpTownOrCity'),
            value: data.GeneralPractice.GpTownOrCity
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "gp-details.input7",
               locale: locale
            },
            id: "gpCounty",
            name: "gpCounty",
            classes: "nhsuk-input nhsuk-input--width-20",
            "errorMessage": parseErrors(errors, 'gpCounty'),
            value: data.GeneralPractice.GpCounty
        })
    }}
        {{
        input({
            "formGroup": {
                   classes: "nhsuk-form-group"
            },
            "fieldset": {
                   classes: "nhsuk-fieldset"
            },
            "label": {
               "text": "gp-details.input8",
               locale: locale
            },
            id: "gpPostcode",
            name: "gpPostcode",
            classes: "nhsuk-input nhsuk-input--width-10",
            "errorMessage": parseErrors(errors, 'gpPostcode'),
            value: data.GeneralPractice.GpPostcode
        })
    }}
    </fieldset>
    <br/>
    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
</form>